# Interface IAnalyticsEventArgs

The object that all `analyticsEventReady` handlers receive as an argument.

## Index

### Properties

- coveoAnalyticsEventData
- event

## Properties

### coveoAnalyticsEventData

coveoAnalyticsEventData: ICustomEvent | IClickEvent | ISearchEvent

- Defined in events/AnalyticsEvents.ts :38

The fields describing the Coveo Cloud usage analytics event.

### event

event: "CoveoCustomEvent" | "CoveoClickEvent" | "CoveoSearchEvent"

- Defined in events/AnalyticsEvents.ts :34

The type of Coveo Cloud usage analytics event.

### Hierarchy

- IAnalyticsEventArgs